Package de.gebit.integrity.ui.formatting

## Enum LineSeparatorDetector.LineSeparatorType

- java.lang.Object
- - java.lang.Enum<LineSeparatorDetector.LineSeparatorType>
  - - de.gebit.integrity.ui.formatting.LineSeparatorDetector.LineSeparatorType

- All Implemented Interfaces:
    `Serializable`, `Comparable<LineSeparatorDetector.LineSeparatorType>`
  Enclosing class:
    LineSeparatorDetector

      public static enum LineSeparatorDetector.LineSeparatorType
      extends Enum<LineSeparatorDetector.LineSeparatorType>

  The supported line break types.
  Author:
    Rene Schneider - initial API and implementation

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `MAC_OLD` | Mac-OS-style line endings (pre-OS-X).
    `UNIX` | Unix-style line endings.
    `WINDOWS` | Windows-style line endings.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getLineSeparatorChars()` |
    `static LineSeparatorDetector.LineSeparatorType` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static LineSeparatorDetector.LineSeparatorType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNIX

          public static final LineSeparatorDetector.LineSeparatorType UNIX

      Unix-style line endings.

    - #### WINDOWS

          public static final LineSeparatorDetector.LineSeparatorType WINDOWS

      Windows-style line endings.

    - #### MAC_OLD

          public static final LineSeparatorDetector.LineSeparatorType MAC_OLD

      Mac-OS-style line endings (pre-OS-X).

  - ### Method Detail

    - #### values

          public static LineSeparatorDetector.LineSeparatorType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LineSeparatorDetector.LineSeparatorType c : LineSeparatorDetector.LineSeparatorType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LineSeparatorDetector.LineSeparatorType valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getLineSeparatorChars

          public String getLineSeparatorChars()